Mailinglist Archive: opensuse-updates (94 mails)

< Previous Next >
openSUSE-SU-2012:1580-1: moderate: weechat
openSUSE Security Update: weechat
______________________________________________________________________________

Announcement ID: openSUSE-SU-2012:1580-1
Rating: moderate
References: #789146 #790217
Cross-References: CVE-2012-5534 CVE-2012-5854
Affected Products:
openSUSE 12.2
openSUSE 12.1
______________________________________________________________________________

An update that fixes two vulnerabilities is now available.

Description:


- added weechat-fix-hook_process-shell-injection.patch
which fixes a shell injection vulnerability in the
hook_process function (bnc#790217, CVE-2012-5534)
- added
weechat-fix-buffer-overflow-in-irc-color-decoding.patch
which fixes a heap-based overflow when decoding IRC
colors in strings (bnc#789146, CVE-2012-5854)


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 12.2:

zypper in -t patch openSUSE-2012-814

- openSUSE 12.1:

zypper in -t patch openSUSE-2012-814

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 12.2 (i586 x86_64):

weechat-0.3.8-2.4.1
weechat-aspell-0.3.8-2.4.1
weechat-aspell-debuginfo-0.3.8-2.4.1
weechat-debuginfo-0.3.8-2.4.1
weechat-debugsource-0.3.8-2.4.1
weechat-devel-0.3.8-2.4.1
weechat-guile-0.3.8-2.4.1
weechat-guile-debuginfo-0.3.8-2.4.1
weechat-lua-0.3.8-2.4.1
weechat-lua-debuginfo-0.3.8-2.4.1
weechat-perl-0.3.8-2.4.1
weechat-perl-debuginfo-0.3.8-2.4.1
weechat-python-0.3.8-2.4.1
weechat-python-debuginfo-0.3.8-2.4.1
weechat-ruby-0.3.8-2.4.1
weechat-ruby-debuginfo-0.3.8-2.4.1
weechat-tcl-0.3.8-2.4.1
weechat-tcl-debuginfo-0.3.8-2.4.1

- openSUSE 12.2 (noarch):

weechat-lang-0.3.8-2.4.1

- openSUSE 12.1 (i586 x86_64):

weechat-0.3.6-1.4.1
weechat-aspell-0.3.6-1.4.1
weechat-aspell-debuginfo-0.3.6-1.4.1
weechat-debuginfo-0.3.6-1.4.1
weechat-debugsource-0.3.6-1.4.1
weechat-devel-0.3.6-1.4.1
weechat-lua-0.3.6-1.4.1
weechat-lua-debuginfo-0.3.6-1.4.1
weechat-perl-0.3.6-1.4.1
weechat-perl-debuginfo-0.3.6-1.4.1
weechat-python-0.3.6-1.4.1
weechat-python-debuginfo-0.3.6-1.4.1
weechat-ruby-0.3.6-1.4.1
weechat-ruby-debuginfo-0.3.6-1.4.1
weechat-tcl-0.3.6-1.4.1
weechat-tcl-debuginfo-0.3.6-1.4.1

- openSUSE 12.1 (noarch):

weechat-lang-0.3.6-1.4.1


References:

http://support.novell.com/security/cve/CVE-2012-5534.html
http://support.novell.com/security/cve/CVE-2012-5854.html
https://bugzilla.novell.com/789146
https://bugzilla.novell.com/790217


< Previous Next >
This Thread
  • No further messages